%% set_delete_pb
%    create the delete cell push button
% inputs:
%   object:Grid - current Grid object
% outputs:
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = set_delete_pb(object,fig,pos)
if(isempty(object.delete_cell_pb) || ~ishghandle(object.delete_cell_pb))
    object.delete_cell_pb = uicontrol('style','push',...
        'units','pix',...
        'string','delete',...
        'HorizontalAlign','left',...
        'Parent',fig,...
        'position',pos,...
        'callback',@(src,event)pb_delete_call(object,src,event));
else
    set(object.delete_cell_pb,'position',pos);
end
end

